* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  background: indigo;
}

.clock {
  width: 500px;
  height: 500px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #fff url(watch.png);
  background-size: cover;
  background-position-y: 10px;

  border-radius: 50%;
  border: 20px solid #fff;
  box-shadow: inset 0 0 30px rgba(0, 0, 0, 0.1), 0 20px 20px rgba(0, 0, 0, 0.2),
    0 0 0 4px rgba(255, 255, 255, 1);
}

.clock::before {
  content: "";
  position: absolute;
  width: 15px;
  height: 15px;
  background: #878787;
  border: 2px solid #fff;
  z-index: 10000;
  border-radius: 50%;
}

.hour,
.min,
.sec {
  position: absolute;
}
.hour,
.hr {
  width: 120px;
  height: 120px;
}
.min,
.mn {
  width: 160px;
  height: 160px;
}
.sec,
.sc {
  width: 200px;
  height: 200px;
}

.hr,
.mn,
.sc {
  display: flex;
  justify-content: center;
  position: absolute;
  border-radius: 50%;
}
.hr::before {
  content: "";
  position: absolute;
  width: 8px;
  height: 60px;
  background: #878787;
  z-index: 10;
  border-radius: 6px 6px 0 0;
}
.mn::before {
  content: "";
  position: absolute;
  width: 4px;
  height: 80px;
  background: #383434;
  z-index: 11;
  border-radius: 6px 6px 0 0;
}
.sc::before {
  content: "";
  position: absolute;
  width: 2px;
  height: 120px;
  background: #ff6767;
  z-index: 12;
  border-radius: 6px 6px 0 0;
}
